ruby-listen_3.1.5-1_all.deb


Advertisement

Description

ruby-listen - Ruby library listening to file modifications

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-listen
Package version 3.1.5
Package release 1
Package architecture all
Package type deb
Installed size 109 B
Download size 25.90 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-listen_3.1.5-1_all.deb 3.1.5 all Debian Main
ruby-listen - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-rb-inotify >= 0.9

Download

Type URL
Binary Package ruby-listen_3.1.5-1_all.deb
Source Package ruby-listen

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-listen deb package:
    # sudo apt-get install ruby-listen

Files

Path
/usr/bin/listen
/usr/lib/ruby/vendor_ruby/listen.rb
/usr/lib/ruby/vendor_ruby/listen/adapter.rb
/usr/lib/ruby/vendor_ruby/listen/backend.rb
/usr/lib/ruby/vendor_ruby/listen/change.rb
/usr/lib/ruby/vendor_ruby/listen/cli.rb
/usr/lib/ruby/vendor_ruby/listen/directory.rb
/usr/lib/ruby/vendor_ruby/listen/file.rb
/usr/lib/ruby/vendor_ruby/listen/fsm.rb
/usr/lib/ruby/vendor_ruby/listen/listener.rb
/usr/lib/ruby/vendor_ruby/listen/logger.rb
/usr/lib/ruby/vendor_ruby/listen/options.rb
/usr/lib/ruby/vendor_ruby/listen/queue_optimizer.rb
/usr/lib/ruby/vendor_ruby/listen/record.rb
/usr/lib/ruby/vendor_ruby/listen/silencer.rb
/usr/lib/ruby/vendor_ruby/listen/version.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/base.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/bsd.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/config.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/darwin.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/linux.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/polling.rb
/usr/lib/ruby/vendor_ruby/listen/adapter/windows.rb
/usr/lib/ruby/vendor_ruby/listen/event/config.rb
/usr/lib/ruby/vendor_ruby/listen/event/loop.rb
/usr/lib/ruby/vendor_ruby/listen/event/processor.rb
/usr/lib/ruby/vendor_ruby/listen/event/queue.rb
/usr/lib/ruby/vendor_ruby/listen/internals/thread_pool.rb
/usr/lib/ruby/vendor_ruby/listen/listener/config.rb
/usr/lib/ruby/vendor_ruby/listen/record/entry.rb
/usr/lib/ruby/vendor_ruby/listen/record/symlink_detector.rb
/usr/lib/ruby/vendor_ruby/listen/silencer/controller.rb
/usr/share/doc/ruby-listen/README.md.gz
/usr/share/doc/ruby-listen/TODO.Debian
/usr/share/doc/ruby-listen/changelog.Debian.gz
/usr/share/doc/ruby-listen/changelog.gz
/usr/share/doc/ruby-listen/copyright
/usr/share/rubygems-integration/all/specifications/listen-3.1.5.gemspec

Changelog

2017-12-05 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-listen (3.1.5-1) unstable; urgency=medium
* Team upload.
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream release.
* Refresh patches.
- d/p/0003-fix-listener-test-in-ruby2_3.patch: applied upstream.
* d/p/0001-Remove-OSX-specific-dependency.patch: more remove OSX deps.
* d/p/0004-disable-ruby_dep.patch: new patch.
* d/rules: remove test fixtures.
* Support autopkgtest-pkg-ruby.
* Bump Standards-Versio to 4.1.1 (no changes needed)
* Bump debhelper compatibility level to 10
[ Cédric Boutillier ]
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
2016-03-02 - Thiago Ribeiro <thiago@pencillabs.com>
ruby-listen (3.0.3-3) unstable; urgency=medium
* Team Upload.
* Added patch 0003-fix-listener-test-in-ruby2_3.patch
* Update packaging using dh-make-ruby -w
- Bump Standards-Versio to 3.9.7 (no changes needed)
- Set debhelper compatibility level to 9
- use https:// in Vcs-* fields
2015-08-08 - Antonio Terceiro <terceiro@debian.org>
ruby-listen (3.0.3-2) unstable; urgency=medium
* drop `Recommends: ruby-rb-inotify` since it became a proper dependency.
* Added patch 0002-gemspec-skip-git-usage.patch
2015-08-08 - Antonio Terceiro <terceiro@debian.org>
ruby-listen (3.0.3-1) unstable; urgency=medium
* Team upload
* New upstream release
- ported to rspec3 (Closes: #794136)
* debian/watch: point at github since upstream stopped shipping the tests on
rubygems
* debian/patches: remove all tests, none of them applies anymore
* Add debian/patches/0001-Remove-OSX-specific-dependency.patch
* Update packaging with a new dh-make-ruby run
2014-04-18 - Antonio Terceiro <terceiro@debian.org>
ruby-listen (2.4.0-4) unstable; urgency=medium
* Team upload.
* debian/patches/remove-mcosx-specific-dependency.patch: remove
MacOSX-specific dependency from gemspec
2014-02-03 - Cédric Boutillier <boutil@debian.org>
ruby-listen (2.4.0-3) unstable; urgency=medium
* Add missing dependency on ruby-celluloid (Closes: #737466)
2014-01-26 - Cédric Boutillier <boutil@debian.org>
ruby-listen (2.4.0-2) unstable; urgency=medium
* Make the package arch: all
* Add the following patches:
+ deactivate_arch_specific_tests.patch: do not run arch-specific tests on
non Linux architectures
+ do_not_fail_fast.patch: run the test suite until the end even if some
tests fail
2014-01-24 - Cédric Boutillier <boutil@debian.org>
ruby-listen (2.4.0-1) unstable; urgency=medium
[ Markus Tornow ]
* Initial release (Closes: #693347)
[ Cédric Boutillier ]
* help with packaging effort

See Also

Package Description
ruby-little-plugger_1.1.4-1_all.deb module that provides Gem based plugin management
ruby-locale_2.1.2-1_all.deb Locale library for Ruby
ruby-lockfile_2.1.3-1_all.deb create NFS-safe lockfiles
ruby-log4r_1.1.10-4_all.deb Logging library for Ruby
ruby-logger-application_0.0.2-1_all.deb add logging support to Ruby application
ruby-logging-rails_0.5.0-2_all.deb Logging for rail applications
ruby-logging_2.2.2-1_all.deb flexible and extendable logging library for Ruby
ruby-logify_0.2.0-1_all.deb Lightweight logging library for Ruby
ruby-lograge_0.10.0-1_all.deb Tame Rails' multi-line logging into a single line per request
ruby-loofah_2.2.2-1_all.deb manipulation and transformation of HTML/XML documents and fragments
ruby-luabridge_0.8.0-1+b4_amd64.deb access Lua from Ruby
ruby-lumberjack_1.0.13-1_all.deb Lumberjack is a logging implementation in Ruby
ruby-mab_0.0.3-1_all.deb templating engine for writing HTML in pure Ruby
ruby-macaddr_1.7.1-2_all.deb library to read system mac address
ruby-magic_0.2.9-1_all.deb Ruby FFI bindings to libmagic
Advertisement
Advertisement